Bug 103715 - [CI] igt@perf@enable-disable - Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45) because n_periodic_reports == 0
Summary: [CI] igt@perf@enable-disable - Failed assertion: (n_periodic_reports * report...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Marta Löfstedt
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 11:42 UTC by Marta Löfstedt
Modified: 2018-03-05 06:58 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, GLK, KBL
i915 features: Perf/OA


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-13 11:42:46 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3336/shard-apl6/igt@perf@enable-disable.html

(perf:5338) CRITICAL: Test assertion failure function test_enable_disable, file perf.c:3041:
(perf:5338) CRITICAL: Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45)
Subtest enable-disable failed.
Comment 1 Marta Löfstedt 2017-11-20 07:33:11 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_3991/shard-kbl2/igt@perf@enable-disable.html

(perf:6148) CRITICAL: Test assertion failure function test_enable_disable, file perf.c:3041:
(perf:6148) CRITICAL: Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45)
Subtest enable-disable failed.
Comment 2 Marta Löfstedt 2017-12-01 08:09:16 UTC
Also, failing on GLK-shards:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3421/shard-glkb5/igt@perf@enable-disable.html
	
(perf:1586) CRITICAL: Test assertion failure function test_enable_disable, file perf.c:3041:
(perf:1586) CRITICAL: Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45)
Subtest enable-disable failed.
Comment 3 Octavio 2018-01-11 15:00:41 UTC
This fail is happening on GLK with the below configuration

igt@perf@enable-disable

IGT-Version: 1.20-g19c6c04 (x86_64) (Linux: 4.15.0-rc7-drm-intel-qa-ww2-commit-17fd162+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [test_enable_disable+0x655]
  #2 [__real_main4393+0xe75]
  #3 [main+0x23]
  #4 [__libc_start_main+0xf1]
  #5 [_start+0x29]
  #6 [<unknown>+0x29]
Subtest enable-disable: FAIL (0.425s)
	
(perf:1866) CRITICAL: Test assertion failure function test_enable_disable, file perf.c:2916:
(perf:1866) CRITICAL: Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45)
Subtest enable-disable failed.
**** DEBUG ****
(perf:1866) DEBUG: 7549747.200000 < 0 < 9227468.800000
(perf:1866) CRITICAL: Test assertion failure function test_enable_disable, file perf.c:2916:
(perf:1866) CRITICAL: Failed assertion: (n_periodic_reports * report_size) > (report_size * n_full_oa_reports * 0.45)
(perf:1866) igt-core-INFO: Stack trace:
(perf:1866) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(perf:1866) igt-core-INFO:   #1 [test_enable_disable+0x655]
(perf:1866) igt-core-INFO:   #2 [__real_main4393+0xe75]
(perf:1866) igt-core-INFO:   #3 [main+0x23]
(perf:1866) igt-core-INFO:   #4 [__libc_start_main+0xf1]
(perf:1866) igt-core-INFO:   #5 [_start+0x29]
(perf:1866) igt-core-INFO:   #6 [<unknown>+0x29
Comment 5 Lionel Landwerlin 2018-03-01 16:01:50 UTC
Should be fixed with :

commit 41d3fdcd15d5ecf29cc73e8b79c2327ebb54b960
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Thu Mar 1 11:06:13 2018 +0000

    drm/i915/perf: fix perf stream opening lock
Comment 6 Marta Löfstedt 2018-03-02 07:24:40 UTC
patch integrated to CI_DRM_3860 last occurrence was at https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3856/shard-glkb2/igt@perf@enable-disable.html

I will monitor this and close after the weekend if OK.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.